block_invalidatepage
Prev | Other Functions | Next

## Name

block_invalidatepage — invalidate part of all of a buffer-backed page

## Synopsis

`void block_invalidatepage (` | struct page * | page,
| unsigned long | offset`)`;

## Arguments

`page`

  the page which is affected

`offset`

  the index of the truncation point

## Description

`block_invalidatepage` is called when all or part of the page has become invalidatedby a truncate operation.

`block_invalidatepage` does not have to release all buffers, but it must ensure that no dirty buffer is left outside `offset` and that no I/O is underway against any of the blocks which are outside the truncation point. Because the caller is about to free (and possibly reuse) those blocks on-disk.

## Description

`block_invalidatepage` is called when all or part of the page has become invalidatedby a truncate operation.

`block_invalidatepage` does not have to release all buffers, but it must ensure that no dirty buffer is left outside `offset` and that no I/O is underway against any of the blocks which are outside the truncation point. Because the caller is about to free (and possibly reuse) those blocks on-disk.

Prev | Up | Next
__bread | Home | ll_rw_block